Name: openmpi
Version: 1.2.2
Release: alt1

Summary: A powerful implementaion of MPI
Summary(ru_RU.UTF8): Открытая реализация MPI
License: BSD
Group: Development/Other
Url: http://www.open-mpi.org/

Packager: Denis Pynkin <dans@altlinux.ru>
Source: %name-%version.tar

# Automatically added by buildreq on Tue Dec 26 2006
BuildRequires: flex gcc-c++ gcc-g77 libstdc++-devel-static

Conflicts: mpicc, mpich, lam, lam-devel

%description
Open MPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available. A completely new
MPI-2 compliant implementation, Open MPI offers advantages for
system and software vendors, application developers and computer
science researchers.
#description -l ru_RU.KOI8-R

%set_verify_elf_method unresolved=relaxed

%prep
%setup -q

%build
CFLAGS="-D_FORTIFY_SOURCE=2"
echo="/bin/echo"
export CFLAGS echo

%configure --disable-mpi-f90 --sysconfdir=/etc/%name --disable-dlopen
%make_build

%install
echo="/bin/echo"
export echo

%make_install DESTDIR=%buildroot install
%find_lang %name

%files -f %name.lang
%doc AUTHORS LICENSE NEWS README VERSION 

%_bindir/*
%_libdir/*
%_sysconfdir/*
%_man1dir/*
%_man3dir/*
%_includedir/*
%_datadir/%name/*

%changelog
* Thu May 17 2007 Denis Pynkin <dans@altlinux.ru> 1.2.2-alt1
- This release is mainly a bug fix release over the v1.2.1
  release, but there are few minor new features.

* Thu Apr 26 2007 Denis Pynkin <dans@altlinux.ru> 1.2.1-alt1
- This release is mainly a bug fix release over the
  v1.2 release, but there are few minor new features. 

* Thu Mar 22 2007 Denis Pynkin <dans@altlinux.ru> 1.2.0-alt1
- This release contains many bug fixes, feature
  enhancements, and performance improvements over the v1.1 series
- added echo variable for properly working libtool
- added --disable-dlopen in configuration
- taken ompi/mpi/man/man3/MPI_Status_c2f.3 from package 'lam'
  because of broken version in release

* Wed Mar 21 2007 Denis Pynkin <dans@altlinux.ru> 1.1.5-alt1
- Version 1.1.5 is expected (hoped) to be the last release in the v1.1 series

* Wed Jan 31 2007 Denis Pynkin <dans@altlinux.ru> 1.1.4-alt1
- The 1.1.4 release is what the 1.1.3 release should have been.

* Tue Jan 30 2007 Denis Pynkin <dans@altlinux.ru> 1.1.3-alt1
- This release is mainly a bug fix release over the 1.1.2 release.

* Tue Jan 02 2007 Denis Pynkin <dans@altlinux.ru> 1.1.2-alt2
- added /usr/share/openmpi/* to package

* Tue Dec 26 2006 Denis Pynkin <dans@altlinux.ru> 1.1.2-alt1
- Initial build for ALTLinux.

